All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Class CommentFilter

    com.sas.services.information.metadata.CommentFilter

All Implemented Interfaces:
  CommentFilterInterface, java.io.Serializable

    public class CommentFilter

implements CommentFilterInterface, java.io.Serializable

Provides a mechanism to filter comments. Remarks could be filtered by owner, author, range (eg. date), ...

Since:
  1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sas.services.information.metadata.CommentFilterInterface
`AUTHOR, AUTHOR_RANGE, DATETIME_RANGE, NOMODIFIER, OWNER, RANGE, TEXT_RANGE`

Constructor Summary
`CommentFilter()`
`CommentFilter(int filterModifier)`

Method Summary
`int` | `getFilterModifier()`
`int` | `getRangeField()`
`boolean` | `rangeEvalLong(long n)`
`boolean` | `rangeEvalString(java.lang.String str)`
`void` | `setFilterModifier(int modifierType)`
`void` | `setRangeFilterModifierLong(int rangeField, long lower, long upper)`
`void` | `setRangeFilterModifierString(int rangeField, java.lang.String lower, java.lang.String upper)`

Constructor Detail

### CommentFilter

    public CommentFilter()

### CommentFilter

    public CommentFilter(int filterModifier)

Method Detail

### getFilterModifier

    public int getFilterModifier()

  Specified by:
    `getFilterModifier` in interface `CommentFilterInterface`

### getRangeField

    public int getRangeField()

  Specified by:
    `getRangeField` in interface `CommentFilterInterface`

### setFilterModifier

    public void setFilterModifier(int modifierType)

  Specified by:
    `setFilterModifier` in interface `CommentFilterInterface`

### setRangeFilterModifierLong

    public void setRangeFilterModifierLong(int rangeField,
                                           long lower,
                                           long upper)

  Specified by:
    `setRangeFilterModifierLong` in interface `CommentFilterInterface`

### setRangeFilterModifierString

    public void setRangeFilterModifierString(int rangeField,
                                             java.lang.String lower,
                                             java.lang.String upper)

  Specified by:
    `setRangeFilterModifierString` in interface `CommentFilterInterface`

### rangeEvalString

    public boolean rangeEvalString(java.lang.String str)

  Specified by:
    `rangeEvalString` in interface `CommentFilterInterface`

### rangeEvalLong

    public boolean rangeEvalLong(long n)

  Specified by:
    `rangeEvalLong` in interface `CommentFilterInterface`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.